<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="robots" content="noindex, nofollow">

    <title>{{ str['login'] }}</title>

    <link rel="stylesheet" href="{{ url('static', filename='style.css') }}">
  </head>

  <body>
    <main>
      <h1>{{ str['login'] }}</h1>

      <form method="post" action="/user">
        <label for="username">{{ str['usrn'] }}</label>
        <input id="username" name="username" value="{{ get('username', '') }}" type="text" required autofocus>

        <label for="password">{{ str['pwd'] }}</label>
        <input id="password" name="password" type="password" required>

        <button class="green" type="submit">{{str['login']}}</button>
        <a href="signup">{{ str['or-sign-up'] }}</a>
      </form>

      %for type, text, animation in get('alerts', []):
      <div class="alerts {{ animation }}">
          <div class="alert {{ type }}">{{ text }}</div>
      </div>
      %end
      
    </main>
  </body>
</html>
